# QWebView Class Reference

### [com.trolltech.qt.webkit package]

Inherits QWidget.

### Constructor

- void QWebView(QWidget parent)

### Constructor Properties

- prototype: The QWebView prototype object

### Prototype Object Properties

The QWebView prototype object inherits properties from the QWidget prototype object and also has the following properties.

- bool findText(String subString, FindFlags options)
- QWebHistory history()
- void load(QNetworkRequest request, Operation operation, QByteArray body)
- QWebPage page()
- QAction pageAction(WebAction action)
- void setContent(QByteArray data, String mimeType, QUrl baseUrl)
- void setHtml(String html, QUrl baseUrl)
- void setPage(QWebPage page)
- void setRenderHint(RenderHint hint, bool enabled)
- QWebSettings settings()
- QSize sizeHint()
- void triggerPageAction(WebAction action, bool checked)

### Instance Properties

QWebView objects inherit properties from the QWebView prototype object and also have the following properties.

- title
- url
- icon
- selectedText
- selectedHtml
- hasSelection
- modified
- textSizeMultiplier
- zoomFactor
- renderHints